# Interface OmConfiguration

interface OmConfiguration {
accessMode: "limited" | "domain" | "creative" | "full";
partnerName: null | string;
partnerVersion: null | string;
}

#####
Index

### Properties

accessMode
partnerName
partnerVersion

## Properties

### accessMode

accessMode: "limited" | "domain" | "creative" | "full"

Preferred access mode string. As of October 2021, the creative access mode is translated to full by the OM manager, per session client requirements, and will appear as full in the OM ad session call data. Defaults to 'limited'

### partnerName

partnerName: null | string

Partner name string. Defaults to null

### partnerVersion

partnerVersion: null | string

Partner version string in a semver format. Defaults to null